%define debug_package %{nil}

Name:		SL_gdm_no_user_list
Version:	1.0
Release:	3%{?dist}
Summary:	Disable the GDM user list
Group:		System Environment/Libraries
License:	GPL
URL:		http://www.scientificlinux.org/

Source0: no-user-list.gschema.override

Conflicts:	gdm < 3.0
Obsoletes:	zz_gdm_no_user_list

BuildRequires:	bash sed coreutils
BuildArch:	noarch
Requires:	system-release >= 7
Requires:	coreutils

OrderWithRequires:	GConf2

%description
By default in SL 7, the login-screen displays a list of all users with a
valid login shell and UID >499 in a nice graphical menu.  This list of valid
users for a system may not be approprate for all environments.

This RPM will install a configuration file to disable the GDM user list

%prep

%install
%{__rm} -rf %{buildroot}
%{__install} -Dpm 644 %{SOURCE0} %{buildroot}/%{_datadir}/glib-2.0/schemas/no-user-list.gschema.override

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_datadir}/glib-2.0/schemas/no-user-list.gschema.override


%triggerin -p /bin/bash -- gdm
# glib-compile-schemas provided by GConf2
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
exit 0

%triggerpostun -p /bin/bash -- gdm
# glib-compile-schemas provided by GConf2
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
exit 0

%changelog
* Tue Oct 06 2015 Bonnie King <bonniek@fnal.gov> - 1.0-3.sl7
- Use upstream prefered behavior for distribution customizations ENHC0001984

* Mon Aug 4 2014 Pat Riehecky <riehecky@fnal.gov> 1.0-2.sl7
- Removed GDM requirement to allow for deployment on no GUI nodes for SLF

* Tue Jul 29 2014 Pat Riehecky <riehecky@fnal.gov> 1.0-1.sl7
- Initial build
